Skip to main content
POST
/
v0
/
ramp
/
sessions
Create Ramp Session
curl --request POST \
  --url https://api.sumvin.com/v0/ramp/sessions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "source_amount": 123,
  "source_currency_code": "<string>",
  "destination_currency_code": "<string>",
  "wallet_address": "<string>",
  "country_code": "US",
  "payment_method_type": "<string>",
  "service_provider": "<string>"
}
'
{
  "_links": {},
  "session": {
    "id": "<string>",
    "widget_url": "<string>",
    "token": "<string>",
    "service_provider_widget_url": "<string>",
    "external_session_id": "<string>"
  }
}

Authorizations

Authorization
string
header
required

JWT token from Authorization header (Bearer token)

Headers

x-juno-orgid
string | null

Tenant org ID for multi-tenant auth

x-juno-jwt
string | null
x-sumvin-token
string | null
x-sumvin-pint-token
string | null

Body

application/json
source_amount
required
source_currency_code
string
required
destination_currency_code
string
required
wallet_address
string
required
country_code
string
default:US
payment_method_type
string | null
service_provider
string | null

Response

Successful Response

HAL-style hypermedia links for navigation and available actions.

session
SessionData · object
required